Package: patch / 2.7.6-3

0001-Fix-ed-style-test-failure.patch Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
From 458ac51a05426c1af9aa6bf1342ecf60728c19b4 Mon Sep 17 00:00:00 2001
From: Bruno Haible <bruno@clisp.org>
Date: Sat, 7 Apr 2018 12:34:03 +0200
Subject: [PATCH] Fix 'ed-style' test failure.

* tests/ed-style: Remove '?' line from expected output.
---
 tests/ed-style | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/tests/ed-style b/tests/ed-style
index d8c0689..6b6ef9d 100644
--- a/tests/ed-style
+++ b/tests/ed-style
@@ -31,8 +31,7 @@ r !echo bar
 ,p
 EOF
 
-check 'patch -e foo -i ed2.diff 2> /dev/null || echo "Status: $?"' <<EOF
-?
+check 'patch -e foo -i ed2.diff > /dev/null 2> /dev/null || echo "Status: $?"' <<EOF
 Status: 2
 EOF
 
-- 
2.14.1